<?php

function VG_file($url)
{
	global $ADMIN_USER,$ADMIN_PWD;
	
	# création d'une nouvelle ressource CURL
	$ch = curl_init();
	
	# Un nom d'utilisateur et un mot de passe formattés
	# sous la forme "[username]:[password]"  à utiliser pour la connexion.
	curl_setopt($ch, CURLOPT_USERPWD, $ADMIN_USER.":".$ADMIN_PWD);
	//debug($ch.", CURLOPT_USERPWD,". $ADMIN_USER.":".$ADMIN_PWD);
	curl_setopt($ch, CURLOPT_URL, $url);
	
	# Retourne directement le transfert sous forme de chaîne 
	# de la valeur retournée par curl_exec  au lieu de l'afficher directement.
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	
	# récupération de l'URL
	$resultat = curl_exec($ch);
	
	# fermeture de la session curl
	curl_close($ch);
	
	return $resultat;

}

function VG_post($url,$data)
{
	# création d'une nouvelle ressource CURL
	$ch = curl_init();
	
	curl_setopt($ch, CURLOPT_URL, $url);
	
	# Activation de la methode POST
	curl_setopt($ch, CURLOPT_POST, 1);

	# Validation des parametres
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

	# récupération de l'URL
	$resultat = curl_exec($ch);
	
	# fermeture de la session curl
	curl_close($ch);
	
	return $resultat;
}

function VG_post_retour($url,$data)
{
	# création d'une nouvelle ressource CURL
	$ch = curl_init();
	
	curl_setopt($ch, CURLOPT_URL, $url);
	
	# Activation de la methode POST
	curl_setopt($ch, CURLOPT_POST, 1);

	# Validation des parametres
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

	# récupération de l'URL
	ob_start();
	curl_exec ($ch);
	$resultat = ob_get_contents();
	ob_end_clean();
	
	# fermeture de la session curl
	curl_close($ch);
	
	return $resultat;
}

?>